All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver.tree
Class _rprxRemoteLevelTreeV3Server

    com.sas.sasserver.tree._rprxRemoteLevelTreeV3Server

All Implemented Interfaces:
  com.sas.rmi.RemoteBaseInterface, com.sas.rmi.RMIBaseInterface, com.sas.rmi.RocfORBReferenceObjectInterface, com.sas.rmi.RocfORBTreeInterface, _rprxRemoteLevelTreeV3, java.io.Serializable, java.rmi.Remote

    public class _rprxRemoteLevelTreeV3Server

implements _rprxRemoteLevelTreeV3

See Also:
  Serialized Form

Constructor Summary
`_rprxRemoteLevelTreeV3Server()`

Method Summary
`java.lang.String` | `_getDataSet()`
`java.lang.String` | `_getDefaultIcon()`
`java.lang.String` | `_getDefaultIconColumn()`
`java.lang.String` | `_getExpandedIcon()`
`java.lang.String` | `_getExpandedIconColumn()`
`java.lang.String` | `_getIndexColumn()`
`java.lang.String` | `_getLevelColumn()`
`java.lang.String` | `_getLink()`
`java.lang.String` | `_getLinkColumn()`
`com.sas.collection.hlist.HListInterface` | `_getMembers()`
`java.lang.String[]` | `_getNameValuePairColumns()`
`java.lang.String` | `_getTextColumn()`
`com.sas.collection.hlist.HListInterface` | `_getTreeNodes()`
`com.sas.collection.hlist.HListInterface` | `_getWhere()`
`boolean` | `_isValid()`
`void` | `_RemoteConstructor()`
`void` | `_RemoteObject_getInstance()`
`void` | `_RemoteObject_newInstance()`
`void` | `_setDataSet(java.lang.String p1)`
`void` | `_setDefaultIcon(java.lang.String p1)`
`void` | `_setDefaultIconColumn(java.lang.String p1)`
`void` | `_setExpandedIcon(java.lang.String p1)`
`void` | `_setExpandedIconColumn(java.lang.String p1)`
`void` | `_setIndexColumn(java.lang.String p1)`
`void` | `_setLevelColumn(java.lang.String p1)`
`void` | `_setLink(java.lang.String p1)`
`void` | `_setLinkColumn(java.lang.String p1)`
`void` | `_setNameValuePairColumns(java.lang.String[] p1)`
`void` | `_setTextColumn(java.lang.String p1)`
`void` | `_setWhere(com.sas.collection.hlist.HListInterface p1)`
`java.lang.String` | `_validate()`
`void` | `addContentsChangedListener(com.sas.collection.ContentsChangedListener p1)`
`void` | `close()`
`java.lang.String` | `getAcessKeyColumnName()`
`java.lang.String` | `getDataSet()`
`java.lang.String` | `getDefaultImage()`
`java.lang.String` | `getDefaultImageAltTextColumnName()`
`java.lang.String` | `getDefaultImageColumnName()`
`java.lang.String` | `getExpandedImage()`
`java.lang.String` | `getExpandedImageAltTextColumnName()`
`java.lang.String` | `getExpandedImageColumnName()`
`java.lang.String` | `getIndexColumnName()`
`java.lang.String` | `getKey()`
`java.lang.String` | `getKeyColumnName()`
`java.lang.String` | `getLevelColumnName()`
`java.lang.String[]` | `getNameValuePairColumns()`
`com.sas.models.NodeInterface` | `getRoot()`
`java.lang.String` | `getTabIndexColumnName()`
`java.lang.String` | `getTextColumnName()`
`java.lang.String` | `getTitleColumnName()`
`java.lang.String` | `getURL()`
`java.lang.String` | `getURLColumnName()`
`java.lang.String` | `getWhere()`
`static void` | `main(java.lang.String[] args)`
`void` | `removeContentsChangedListener(com.sas.collection.ContentsChangedListener p1)`
`void` | `setAccessKeyColumnName(java.lang.String p1)`
`void` | `setDataSet(java.lang.String p1)`
`void` | `setDefaultImage(java.lang.String p1)`
`void` | `setDefaultImageAltTextCoulmnName(java.lang.String p1)`
`void` | `setDefaultImageColumnName(java.lang.String p1)`
`void` | `setExpandedImage(java.lang.String p1)`
`void` | `setExpandedImageAltTextColumnName(java.lang.String p1)`
`void` | `setExpandedImageColumnName(java.lang.String p1)`
`void` | `setIndexColumnName(java.lang.String p1)`
`void` | `setKey(java.lang.String p1)`
`void` | `setKeyColumnName(java.lang.String p1)`
`void` | `setLevelColumnName(java.lang.String p1)`
`void` | `setNameValuePairColumns(java.lang.String[] p1)`
`void` | `setTabIndexColumnName(java.lang.String p1)`
`void` | `setTextColumnName(java.lang.String p1)`
`void` | `setTitleColumnName(java.lang.String p1)`
`void` | `setURL(java.lang.String p1)`
`void` | `setURLColumnName(java.lang.String p1)`
`void` | `setWhere(java.lang.String p1)`
`void` | `stop()`
`void` | `validate()`

Constructor Detail

### _rprxRemoteLevelTreeV3Server

    public _rprxRemoteLevelTreeV3Server()
                                 throws java.rmi.RemoteException,
                                        java.lang.Exception

Throws:
  `java.rmi.RemoteException`
  `java.lang.Exception`

Method Detail

### stop

    public void stop()

  Overrides:
    `stop` in class `com.sas.rmi.RMIBaseServer`

### main

    public static void main(java.lang.String[] args)

### _RemoteObject_newInstance

    public void _RemoteObject_newInstance()
                                   throws java.rmi.RemoteException,
                                          java.lang.Exception

  Specified by:
    `_RemoteObject_newInstance` in interface `com.sas.rmi.RemoteBaseInterface`
  Overrides:
    `_RemoteObject_newInstance` in class `com.sas.rmi.RMIBaseServer`
  Throws:
    `java.rmi.RemoteException`
    `java.lang.Exception`

### _RemoteObject_getInstance

    public void _RemoteObject_getInstance()
                                   throws java.rmi.RemoteException,
                                          java.lang.Exception

  Specified by:
    `_RemoteObject_getInstance` in interface `com.sas.rmi.RemoteBaseInterface`
  Overrides:
    `_RemoteObject_getInstance` in class `com.sas.rmi.RMIBaseServer`
  Throws:
    `java.rmi.RemoteException`
    `java.lang.Exception`

### _RemoteConstructor

    public void _RemoteConstructor()
                            throws java.rmi.RemoteException

  Specified by:
    `_RemoteConstructor` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `java.rmi.RemoteException`

### setAccessKeyColumnName

    public void setAccessKeyColumnName(java.lang.String p1)
                                throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setAccessKeyColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getAcessKeyColumnName

    public java.lang.String getAcessKeyColumnName()
                                           throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getAcessKeyColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setTabIndexColumnName

    public void setTabIndexColumnName(java.lang.String p1)
                               throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setTabIndexColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getTabIndexColumnName

    public java.lang.String getTabIndexColumnName()
                                           throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getTabIndexColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setDefaultImageAltTextCoulmnName

    public void setDefaultImageAltTextCoulmnName(java.lang.String p1)
                                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setDefaultImageAltTextCoulmnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getDefaultImageAltTextColumnName

    public java.lang.String getDefaultImageAltTextColumnName()
                                                      throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getDefaultImageAltTextColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setExpandedImageAltTextColumnName

    public void setExpandedImageAltTextColumnName(java.lang.String p1)
                                           throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setExpandedImageAltTextColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getExpandedImageAltTextColumnName

    public java.lang.String getExpandedImageAltTextColumnName()
                                                       throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getExpandedImageAltTextColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setTitleColumnName

    public void setTitleColumnName(java.lang.String p1)
                            throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setTitleColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getTitleColumnName

    public java.lang.String getTitleColumnName()
                                        throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getTitleColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getKey

    public java.lang.String getKey()
                            throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getKey` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setKey

    public void setKey(java.lang.String p1)
                throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setKey` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getKeyColumnName

    public java.lang.String getKeyColumnName()
                                      throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getKeyColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setKeyColumnName

    public void setKeyColumnName(java.lang.String p1)
                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setKeyColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getURL

    public java.lang.String getURL()
                            throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getURL` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### close

    public void close()
               throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `close` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setURL

    public void setURL(java.lang.String p1)
                throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setURL` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### validate

    public void validate()
                  throws com.sas.table.TableException,
                         com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `validate` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.table.TableException`
    `com.sas.rmi.ServerBusyTimeoutException`

### getDataSet

    public java.lang.String getDataSet()
                                throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getDataSet` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setDataSet

    public void setDataSet(java.lang.String p1)
                    throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setDataSet` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getWhere

    public java.lang.String getWhere()
                              throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getWhere` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setWhere

    public void setWhere(java.lang.String p1)
                  throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setWhere` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getDefaultImageColumnName

    public java.lang.String getDefaultImageColumnName()
                                               throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getDefaultImageColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setDefaultImageColumnName

    public void setDefaultImageColumnName(java.lang.String p1)
                                   throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setDefaultImageColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getDefaultImage

    public java.lang.String getDefaultImage()
                                     throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getDefaultImage` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setDefaultImage

    public void setDefaultImage(java.lang.String p1)
                         throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setDefaultImage` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getExpandedImageColumnName

    public java.lang.String getExpandedImageColumnName()
                                                throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getExpandedImageColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setExpandedImageColumnName

    public void setExpandedImageColumnName(java.lang.String p1)
                                    throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setExpandedImageColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getExpandedImage

    public java.lang.String getExpandedImage()
                                      throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getExpandedImage` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setExpandedImage

    public void setExpandedImage(java.lang.String p1)
                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setExpandedImage` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getURLColumnName

    public java.lang.String getURLColumnName()
                                      throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getURLColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setURLColumnName

    public void setURLColumnName(java.lang.String p1)
                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setURLColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getNameValuePairColumns

    public java.lang.String[] getNameValuePairColumns()
                                               throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getNameValuePairColumns` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setNameValuePairColumns

    public void setNameValuePairColumns(java.lang.String[] p1)
                                 throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setNameValuePairColumns` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getRoot

    public com.sas.models.NodeInterface getRoot()
                                         throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getRoot` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getDataSet

    public java.lang.String _getDataSet()
                                 throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getDataSet` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setDataSet

    public void _setDataSet(java.lang.String p1)
                     throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setDataSet` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getWhere

    public com.sas.collection.hlist.HListInterface _getWhere()
                                                      throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getWhere` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setWhere

    public void _setWhere(com.sas.collection.hlist.HListInterface p1)
                   throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setWhere` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getDefaultIconColumn

    public java.lang.String _getDefaultIconColumn()
                                           throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getDefaultIconColumn` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setDefaultIconColumn

    public void _setDefaultIconColumn(java.lang.String p1)
                               throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setDefaultIconColumn` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getDefaultIcon

    public java.lang.String _getDefaultIcon()
                                     throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getDefaultIcon` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setDefaultIcon

    public void _setDefaultIcon(java.lang.String p1)
                         throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setDefaultIcon` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getExpandedIcon

    public java.lang.String _getExpandedIcon()
                                      throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getExpandedIcon` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setExpandedIcon

    public void _setExpandedIcon(java.lang.String p1)
                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setExpandedIcon` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getExpandedIconColumn

    public java.lang.String _getExpandedIconColumn()
                                            throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getExpandedIconColumn` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setExpandedIconColumn

    public void _setExpandedIconColumn(java.lang.String p1)
                                throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setExpandedIconColumn` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getLevelColumn

    public java.lang.String _getLevelColumn()
                                     throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getLevelColumn` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setLevelColumn

    public void _setLevelColumn(java.lang.String p1)
                         throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setLevelColumn` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getIndexColumn

    public java.lang.String _getIndexColumn()
                                     throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getIndexColumn` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setIndexColumn

    public void _setIndexColumn(java.lang.String p1)
                         throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setIndexColumn` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getLinkColumn

    public java.lang.String _getLinkColumn()
                                    throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getLinkColumn` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setLinkColumn

    public void _setLinkColumn(java.lang.String p1)
                        throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setLinkColumn` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getLink

    public java.lang.String _getLink()
                              throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getLink` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setLink

    public void _setLink(java.lang.String p1)
                  throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setLink` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getNameValuePairColumns

    public java.lang.String[] _getNameValuePairColumns()
                                                throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getNameValuePairColumns` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setNameValuePairColumns

    public void _setNameValuePairColumns(java.lang.String[] p1)
                                  throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setNameValuePairColumns` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getTextColumn

    public java.lang.String _getTextColumn()
                                    throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getTextColumn` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setTextColumn

    public void _setTextColumn(java.lang.String p1)
                        throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setTextColumn` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getTreeNodes

    public com.sas.collection.hlist.HListInterface _getTreeNodes()
                                                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getTreeNodes` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _validate

    public java.lang.String _validate()
                               throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_validate` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _isValid

    public boolean _isValid()
                     throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_isValid` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getMembers

    public com.sas.collection.hlist.HListInterface _getMembers()
                                                        throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getMembers` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### addContentsChangedListener

    public void addContentsChangedListener(com.sas.collection.ContentsChangedListener p1)
                                    throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `addContentsChangedListener` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### removeContentsChangedListener

    public void removeContentsChangedListener(com.sas.collection.ContentsChangedListener p1)
                                       throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `removeContentsChangedListener` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getLevelColumnName

    public java.lang.String getLevelColumnName()
                                        throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getLevelColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setLevelColumnName

    public void setLevelColumnName(java.lang.String p1)
                            throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setLevelColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getIndexColumnName

    public java.lang.String getIndexColumnName()
                                        throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getIndexColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setIndexColumnName

    public void setIndexColumnName(java.lang.String p1)
                            throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setIndexColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getTextColumnName

    public java.lang.String getTextColumnName()
                                       throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getTextColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### setTextColumnName

    public void setTextColumnName(java.lang.String p1)
                           throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `setTextColumnName` in interface `_rprxRemoteLevelTreeV3`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.